From d1178e65b5070f539677b1134224d6ca81fd0bbf Mon Sep 17 00:00:00 2001
From: Bertrand Drouvot <bertranddrouvot.pg@gmail.com>
Date: Wed, 12 Mar 2025 05:14:21 +0000
Subject: [PATCH v1] Remove the PendingBackendStats initializer

9a8dd2c5a6d added an initializer to PendingBackendStats, but on some GCC versions
-Werror=missing-braces would report a warning. Instead of adding extra braces,
let's remove the initialization that would prevent padding bytes from being
zeroed.

Per buildfarm members ayu, batfish, boa, buri, demoiselle, dhole, rhinoceros,
shelduck and siskin.
---
 src/backend/utils/activity/pgstat_backend.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
 100.0% src/backend/utils/activity/

diff --git a/src/backend/utils/activity/pgstat_backend.c b/src/backend/utils/activity/pgstat_backend.c
index da4c7edd772..a8cb54a7732 100644
--- a/src/backend/utils/activity/pgstat_backend.c
+++ b/src/backend/utils/activity/pgstat_backend.c
@@ -36,7 +36,7 @@
  * reported within critical sections so we use static memory in order to avoid
  * memory allocation.
  */
-static PgStat_BackendPending PendingBackendStats = {0};
+static PgStat_BackendPending PendingBackendStats;
 
 /*
  * WAL usage counters saved from pgWalUsage at the previous call to
-- 
2.34.1

